Bug 1308421 - [RFE] Support SPAKE preauthentication
[RFE] Support SPAKE preauthentication
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: krb5 (Show other bugs)
7.3
Unspecified Unspecified
high Severity unspecified
: rc
: ---
Assigned To: Robbie Harwood
BaseOS QE Security Team
: FutureFeature
Depends On: 1292153 1389073
Blocks: 1195696 1401629
  Show dependency treegraph
 
Reported: 2016-02-15 02:27 EST by Martin Kosek
Modified: 2018-02-23 08:44 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Kosek 2016-02-15 02:27:06 EST
Description of problem:
Add support for SPAKE Pre-Authentication protocol as proposed and tracked on the Kerberos project design page:

http://k5wiki.kerberos.org/wiki/Projects/SPAKE_Preauthentication

There is already a draft RFE with protocol description:
https://tools.ietf.org/html/draft-mccallum-kitten-krb-spake-preauth-00
Comment 10 Martin Kosek 2017-10-23 02:46:23 EDT
Removing Rebase keyword, this is RFE bug. If it requires rebase, it would be tracked in other Bugzilla.

Note You need to log in before you can comment on or make changes to this bug.